Name:           pypoppler
Version:        0.12.1
Release:        27%{?dist}
Summary:        Python bindings for the Poppler PDF rendering library

License:        GPLv2+
URL:            https://launchpad.net/poppler-python
Source0:        http://launchpad.net/poppler-python/trunk/development/+download/%{name}-%{version}.tar.gz

BuildRequires:  pygtk2-devel
BuildRequires:  atk-devel
BuildRequires:  poppler-devel
BuildRequires:  pycairo-devel
BuildRequires:  poppler-glib-devel >= 0.15

# Release the GIL on blocking functions like rendering pages and getting
# thumbnails, see bug #504240 reported by BenjaminBerg.
# bzr rev 75
Patch0:		75_74.diff

# Manually wrap poppler_page_render_to_pixbuf and
# poppler_page_render_to_pixbuf_for_printing returning the Pixbuf
# bzr rev 76
##Patch1:		76_75.diff

# Fix a few leaks by using the right functions while freeing the returned lists
# bzr 79
Patch2:		79_78.diff

# Changes for poppler 1.5
Patch3:		pypoppler-0.12.1-poppler0.15.0-changes.patch

# Minimal fix for changes in poppler 0.18
Patch4:		pypoppler-0.12.1-poppler-0.18.0-minimal-fix.patch

# Fix for resource leaks
Patch5:     alexandervdm_316722.patch

%description
Python bindings for the Poppler PDF rendering library. It is needed to
run programs written in Python and using Poppler set.

%prep
%setup -q
%patch0 -p0 -b .bzr75
##%patch1 -p0 -b .bzr76
%patch2 -p0 -b .bzr79
%patch3 -p1 -b .poppler15
%patch4 -p1 -b .poppler-18-minimal
%patch5 -p1 -b .alexandervdm_316722

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%files
%doc AUTHORS ChangeLog COPYING NEWS
%{python_sitearch}/poppler*

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.1-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.1-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.1-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 26 2013 Fabian Affolter <mail@fabian-affolter.ch> - 0.12.1-5
- Rebuild against new poppler
- Spec file cleaned

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.1-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jan 06 2013 Fabian Affolter <mail@fabian-affolter.ch> - 0.12.1-22
- Resource leaks (BZ #891754)

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.1-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 16 2012 Marek Kasik <mkasik@redhat.com> - 0.12.1-20
- Rebuild (poppler-0.20.0)

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 28 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.12.1-18
- rebuild(poppler)

* Mon Oct 24 2011 Marek Kasik <mkasik@redhat.com> - 0.12.1-17
- Minimal fix for changes in poppler 0.18.x

* Fri Sep 30 2011 Marek Kasik <mkasik@redhat.com> - 0.12.1-16
- Rebuild (poppler-0.18.0)

* Sun Sep 25 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.12.1-15
- Rebuild (poppler)

* Mon Sep 19 2011 Marek Kasik <mkasik@redhat.com> - 0.12.1-14
- Rebuild (poppler-0.17.3)

* Fri Jul 15 2011 Marek Kasik <mkasik@redhat.com> - 0.12.1-13
- Rebuild (poppler-0.17.0)

* Sun Jul 10 2011 Nicholas Kudriavtsev <nk@r-networks.ru> - 0.12.1-12
- Removed 76_75.diff to work with pdfshuffler correctly

* Sun Mar 13 2011 Marek Kasik <mkasik@redhat.com> - 0.12.1-11
- Rebuild (poppler-0.16.3)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 01 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.12.1-9
- rebuild (poppler)

* Wed Dec 15 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.12.1-8
- rebuild (poppler)

* Sat Nov 06 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.12.1-7
- rebuild (poppler)

* Wed Oct 06 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.12.1-6
- apply useful fixes from upstream bzr
- fix pypoppler against poppler 0.15.0

* Fri Oct 01 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.12.1-5
- Rebuild against new poppler

* Thu Aug 19 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.12.1-4
- rebuild (poppler)

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.12.1-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jun 22 2010 Matthias Clasen <mclasen@redhat.com> - 0.12.1-2
- Rebuild against new poppler

* Thu Nov 19 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.12.1-1
- Updated to new upstream version 0.12.1

* Thu Sep 17 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.10.1-1
- Updated to new upstream version 0.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 25 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.10.0-1
- Initial package for Fedora
